Packages - Bug #2119

community repo is lagging behind extra and breaks some packages
2018-12-16 10:03 PM - dllud

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

I am having issues with incompatible package versions between the extra and community repos.

On extra there is qt5 5.12.0, while the gt5-styleplugins package from community is still at version 5.0.0.20170311-8, which was built
for a previous gt5 version and is now incompatible. The fixed qt5-styleplugins version (5.0.0.20170311-9) was put into Arch's
community repo on the same day as the qt5 upgrade (2018-12-10) but still didn't made it into Parabola.

What causes this lag? Can you fix it?

| am using the default /etc/pacman.d/mirrorlist that points to https:/redirector.parabola.nu/$repo/os/$arch and
https://repomirror.parabola.nu/$repo/os/$arch

History

#1 - 2018-12-25 06:57 PM - dllud

The community repo has finally been updated. No more issues. | will let you know if it happens again.

#2 - 2018-12-25 07:00 PM - ovruni

- Assignee set to ovruni

#3 - 2018-12-25 07:00 PM - ovruni

- Status changed from open to fixed

#4 - 2018-12-25 07:12 PM - lukeshu

Normally, it syncs community every 24 hours (at 04:13:00 GMT). A run had failed because a disk got full and it didn't have enough space to
download everything.

#5 - 2019-02-14 12:14 PM - dllud

Hi. The community repo is again a few days (at least 2) behind Arch. This is again breaking some packages. Could you please check if something
went wrong?

#6 - 2019-02-14 12:21 PM - bill-auger

which arch? - which packages demonstrate this?

also it could depend on your mirrorlist - what is in that?

i have noticed problems with the redirector on i686 tonight, BTW

#7 - 2019-02-14 12:24 PM - bill-auger

- Status changed from fixed to unconfirmed

#8 - 2019-02-14 03:24 PM - dllud

Some of the packages that | am seeing as outdated or inexistent compared to Arch's community repo are: python-aiohttp-socks python-aiorpcx
electrum
The architecture for all of them is "any" (python software).

| am using the default /etc/pacman.d/mirrorlist that points to https:/redirector.parabola.nu/$repo/os/$arch and
https://repomirror.parabola.nu/$repo/os/$arch

#9 - 2019-02-15 03:24 AM - bill-auger

- Status changed from unconfirmed to confirmed
#10 - 2019-02-15 03:24 AM - bill-auger

- Assignee deleted (ovruni)

#11 - 2019-02-15 05:34 AM - bill-auger

beginning Feb 13, the import script is failing with this error:
$ journalctl --unit=db-import@community.service

-> Step 2 of 3: db-update

| ==> ERROR: Package community-testing/luarocks-3.0.4-2-any.pkg.tar.xz does not have a valid signature
==> ERROR: An unknown error has occurred. Exiting...
db-import@community.service: Main process exited, code=killed, status=10/USR1
db-import@community.service: Failed with result 'signal'.
Failed to start db-import community.

but no such file exists in the repo - maybe it is being deleted after this error
$ find /srv/repo/ -name luarocks-3.0.4-2-any.pkg.tar.xz

the import script is: /opt/dbscripts/db-import-pkg - but this error is not emitted from that script

#12 - 2019-02-15 05:40 AM - eschwartz

The archlinux package is signed by a new Trusted User whose key was added to our keyring on January 22/23 (via archlinux-keyring 20190122-1).
Why does your importer script consider this untrusted -- has it not imported the latest trust values from the upstream keyring?

#13 - 2019-02-15 05:50 AM - bill-auger
after downloading the package from the mirror and checking the signature it is indeed not valid - the key is not in the keyring?

$ grep 'ARCHMIRROR' /etc/dbscripts/config.local.community
ARCHMIRROR='rsync://ftp.acc.umu.se/mirror/archlinux/"

$ wget https://ftp.acc.umu.se/mirror/archlinux/community-testing/os/x86_64/luarocks-3.0.4-2-any.pkg.tar.xz.sig
$ wget https://ftp.acc.umu.se/mirror/archlinux/community-testing/os/x86_64/luarocks-3.0.4-2-any.pkg.tar.xz

$ pacman-key —--verify luarocks-3.0.4-2-any.pkg.tar.xz.sig

==> Checking luarocks-3.0.4-2-any.pkg.tar.xz.sig...

gpg: assuming signed data in 'luarocks-3.0.4-2-any.pkg.tar.xz'

gpg: Signature made Tue 12 Feb 2019 01:37:09 PM GMT

gpg: using RSA key 1E2633CBF730F2CE6EC7AB7045B429A8F9D9D22A

gpg: Can't check signature: No public key

==> ERROR: The signature identified by luarocks-3.0.4-2-any.pkg.tar.xz.sig could not be verified.

#14 - 2019-02-15 05:51 AM - bill-auger

eli - i really dont know - i am learning these tools the hard way - i will try to manually import the keyring now

#15 - 2019-02-15 05:58 AM - bill-auger

the installed keyring was from december - i updated that and am running the importer service now

$ sudo systemctl start db-import@community.service

#16 - 2019-02-15 06:16 AM - bill-auger

- Assignee set to bill-auger

ok - that seems to have solved the problem - the 'python-aiohttp-socks', 'python-aiorpcx’, and 'electrum' packages are up to date with arch now and
'luarocks' 3.0.4-2 is in Community-Testing

#17 - 2019-02-15 06:17 AM - bill-auger

- Status changed from confirmed to fixed

#18 - 2019-02-15 10:08 AM - dllud
Thank you!
